package com.jsowell.pile.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.jsowell.pile.domain.AdapayCallbackRecord;

public interface AdapayCallbackRecordService {
    void saveAdapayCallbackRecord(AdapayCallbackRecord callbackRecord);

    void saveAdapayCallbackRecord(String data) throws JsonProcessingException;

    AdapayCallbackRecord selectByOrderCode(String orderCode);

    AdapayCallbackRecord selectByPaymentId(String paymentId);
}
